# Merchant acknowledges payment status callback was received

Endpoint: POST /v3/payments/{id}/acknowledge
Version: 3.6.5
Security: api_key_payment_profile, JWS-Request-Signature-Payment

## Path parameters:

  - `id` (string, required)
    Bancontact  Company Payment Id

## Request fields (application/json):

  - `currency` (string, required)
    Currency code. Only EUR is supported [ISO 4217](http://en.wikipedia.org/wiki/ISO_4217)
    Enum: "EUR"

  - `amount` (integer, required)
    Amount in cents requested

  - `reference` (string)
    Merchant payment reference, used to reference the Bancontact Company payment in the merchant’s system. The characters used must comply with the [SEPA Requirements for an Extended Character Set (UNICODE Subset) - Best Practices | European Payments Council](https://www.europeanpaymentscouncil.eu/document-library/guidance-documents/sepa-requirements-extended-character-set-unicode-subset-best).

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured

## Response 401 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured

## Response 403 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured

## Response 404 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured

## Response 422 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured

## Response 500 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured

## Response 503 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured


## Response 202 fields
